/*
 * grandom - Audio based random number generator.
 * Copyright (C) 2010  Guy Rutenberg
 * http://www.guyrutenberg.com
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <cstdio>
#include <cstdlib>
#include <cassert>
#include "grandom.h"
#include "config.h"

using namespace std;

int main(int argc, char **argv)
{
	if (argc != 2) {
		printf("%s\n", "Synopsis: " PACKAGE " LENGTH");
		return 1;
	}
	size_t length = strtoul(argv[1], NULL, 0);
	Grandom grand;
	for (size_t i = 0 ; i < length/sizeof(uint32_t); i++) {
		if (! (i&0xf)) {
			fprintf(stderr, "\r%lu", i*sizeof(uint32_t));
		}
		uint32_t temp = grand();
		assert(sizeof(uint32_t) == fwrite(&temp, 1, sizeof(uint32_t), stdout));
	}
	return 0;
}
